Liblinphone: linphone::RecorderParams Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::RecorderParams Class Reference

Object containing various parameters of a Recorder. More...

`#include <recorder_params.hh>`

Inheritance diagram for linphone::RecorderParams:

## Public Member Functions
LINPHONECXX_PUBLIC | RecorderParams (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneRecorderParams * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::AudioDevice > | getAudioDevice () const
| Retrieve the AudioDevice object.
LINPHONECXX_PUBLIC void | setAudioDevice (const std::shared_ptr< const linphone::AudioDevice > &device)
| Set the AudioDevice object.
LINPHONECXX_PUBLIC linphone::Recorder::FileFormat | getFileFormat () const
| Retrieves the Recorder::FileFormat.
LINPHONECXX_PUBLIC void | setFileFormat (linphone::Recorder::FileFormat format)
| Set the Recorder::FileFormat.
LINPHONECXX_PUBLIC std::string | getVideoCodec () const
| Retrieves the video codec.
LINPHONECXX_PUBLIC void | setVideoCodec (const std::string &videoCodec)
| Set the video codec.
LINPHONECXX_PUBLIC std::string | getWebcamName () const
| Retrieves the webcam name.
LINPHONECXX_PUBLIC void | setWebcamName (const std::string &webcamName)
| Set the webcam name.
LINPHONECXX_PUBLIC void * | getWindowId () const
| Retrieves the window id.
LINPHONECXX_PUBLIC void | setWindowId (void *windowId)
| Set the window id.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::RecorderParams > | clone () const
| Clone a RecorderParams object.

## Detailed Description

Object containing various parameters of a Recorder.

## Member Function Documentation

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::RecorderParams > linphone::RecorderParams::clone | ( |  | ) | const

Clone a RecorderParams object.

Returns
  the cloned RecorderParams object.

## ◆ getAudioDevice()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::AudioDevice > linphone::RecorderParams::getAudioDevice | ( |  | ) | const

Retrieve the AudioDevice object.

Returns
  the AudioDevice object.

## ◆ getFileFormat()

LINPHONECXX_PUBLIC linphone::Recorder::FileFormat linphone::RecorderParams::getFileFormat | ( |  | ) | const

Retrieves the Recorder::FileFormat.

Returns
  the Recorder::FileFormat.

## ◆ getVideoCodec()

LINPHONECXX_PUBLIC std::string linphone::RecorderParams::getVideoCodec | ( |  | ) | const

Retrieves the video codec.

Returns
  the video codec.

## ◆ getWebcamName()

LINPHONECXX_PUBLIC std::string linphone::RecorderParams::getWebcamName | ( |  | ) | const

Retrieves the webcam name.

Returns
  the webcam name.

## ◆ getWindowId()

LINPHONECXX_PUBLIC void * linphone::RecorderParams::getWindowId | ( |  | ) | const

Retrieves the window id.

Returns
  the window id.

## ◆ setAudioDevice()

LINPHONECXX_PUBLIC void linphone::RecorderParams::setAudioDevice | ( | const std::shared_ptr< const linphone::AudioDevice > & | device | ) |

Set the AudioDevice object.

Parameters

  device | The AudioDevice object to set.

## ◆ setFileFormat()

LINPHONECXX_PUBLIC void linphone::RecorderParams::setFileFormat | ( | linphone::Recorder::FileFormat | format | ) |

Set the Recorder::FileFormat.

Parameters

  format | The Recorder::FileFormat to set.

## ◆ setVideoCodec()

LINPHONECXX_PUBLIC void linphone::RecorderParams::setVideoCodec | ( | const std::string & | videoCodec | ) |

Set the video codec.

Parameters

  videoCodec | The video codec to set.

## ◆ setWebcamName()

LINPHONECXX_PUBLIC void linphone::RecorderParams::setWebcamName | ( | const std::string & | webcamName | ) |

Set the webcam name.

Parameters

  webcamName | The webcam name to set.

## ◆ setWindowId()

LINPHONECXX_PUBLIC void linphone::RecorderParams::setWindowId | ( | void * | windowId | ) |

Set the window id.

Parameters

  windowId | The window id to set.

The documentation for this class was generated from the following file:

- recorder_params.hh